import { readFundingIfExists } from "./readFundingIfExists.js";
import { readOwnerFromGitRemote } from "./readOwnerFromGitRemote.js";
import { readTitleFromReadme } from "./readTitleFromReadme.js";
export declare function getHydrationDefaults(): Promise<{
    author: () => Promise<string | undefined>;
    email: () => Promise<string | undefined>;
    funding: typeof readFundingIfExists;
    owner: typeof readOwnerFromGitRemote;
    releases: boolean;
    title: typeof readTitleFromReadme;
    unitTests: boolean;
}>;
//# sourceMappingURL=getHydrationDefaults.d.ts.map