import { getNpmAuthor } from "../../shared/getNpmAuthor.js";
export async function readAuthorIfExists(existingPackage) {
    const fromPackage = typeof existingPackage.author === "string"
        ? existingPackage.author.split("<")[0].trim()
        : existingPackage.author?.name;
    return fromPackage ?? (await getNpmAuthor());
}
//# sourceMappingURL=readAuthorIfExists.js.map